[SCM] gsequencer/master: Updated instructions on how to clone the package repository

umlaeute at users.alioth.debian.org umlaeute at users.alioth.debian.org
Wed Aug 16 12:31:38 UTC 2017


The following commit has been merged in the master branch:
commit 0a2cd1f3ac674e6ce36b184d7d6c7bed24ca3cad
Author: IOhannes m zmölnig <zmoelnig at umlautQ.umlaeute.mur.at>
Date:   Wed Aug 16 14:13:30 2017 +0200

    Updated instructions on how to clone the package repository

diff --git a/debian/README.source b/debian/README.source
index 024a331..cc67806 100644
--- a/debian/README.source
+++ b/debian/README.source
@@ -1,18 +1,39 @@
+gbp clone
+---------
 
-git-tuneclone.sh
-----------------
-
-This package comes with a script 'debian/git-tuneclone.sh'.
-Running it after a fresh clone of the packaging repository
-will fine-tune your local copy, namely:
+Starting with git-buildpackage>0.8.1, here's a simple way to automatically
+fine-tune the repository in the following ways:
 - make git ignore any .pc/ directory (created by quilt)
-- enable the "-follow-tags" when running 'git-push', so it's harder
+- enable the "--follow-tags" when running 'git-push', so it's harder
   to forget to push packaging tags along with the branches.
-- do an initial checkout of the 3 packaging branches (master, pristine-tar,
-  upstream)
-The script only needs to run once (though running it multiple times shouldn't
-matter).
-You are of course free to *not* run the script, if you prefer.
 
- -- IOhannes m zmölnig (Debian/GNU) <umlaeute at debian.org>  Tue, 11 Nov 2015 11:11:03 +0100
+To enable this for ALL repositories cloned via 'gbp' (in the future), do
+something like the following:
+
+<snip>
+mkdir -p ~/bin
+cat >> ~/bin/gbphook-postclone <<EOF
+#!/bin/sh
+## script to initialize a cloned repository
+# - enable the "--follow-tags" mode for pushing
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+# - ignore quilt's .pc/ directory
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+|| (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")
+EOF
+
+chmod u+x ~/bin/gbphook-postclone
+cat >> ~/.gbp.conf <<EOF
+[clone]
+postclone = ~/bin/gbphook-postclone
+EOF
+</snip>
+
+Then simply run:
+	$ gbp clone ...
+
+ -- IOhannes m zmölnig (Debian/GNU) <umlaeute at debian.org>  Mon, 1 Aug 2017 12:15:50 +0200
+
 
diff --git a/debian/git-tuneclone.sh b/debian/git-tuneclone.sh
deleted file mode 100755
index 59ac8c6..0000000
--- a/debian/git-tuneclone.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/sh
-
-## script to initialize a cloned repository
-## with per (local) repository settings.
-
-# - ignore quilt's .pc/ directory
-# - enable the "--follow-tags" mode for pushing
-
-error() {
- echo "$@" 1>&2
-}
-
-NAME=$(dpkg-parsechangelog -S Source)
-
-if [ "x${NAME}" = "x" ]; then
- error "unable to determine package name"
- error "make sure you run this script within a source package dir"
- exit 1
-fi
-
-if [ ! -d ".git" ]; then
- error "it seems like this source package is not under git control"
- exit 1
-fi
-
-echo "tuning git-repository for ${NAME}"
-git config push.followTags true && echo "enabled push.followTags"
-
-GITEXCLUDE=".git/info/exclude"
-egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
-  || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")
-
-for branch in pristine-tar upstream master; do
- git checkout "${branch}"
-done

-- 
gsequencer packaging



More information about the pkg-multimedia-commits mailing list